# Class: Marker

## Map. Marker

The component designed to implement the google.maps.Marker from the javascript api. <Marker /> components live within the context of any component.

#### new Marker()

  ##### Properties:

  Name | Type | Description
  --- | --- | ---

  `state`

  object

  ###### Properties

  Name | Type | Description
  --- | --- | ---
  `Marker` | google.maps.Marker |

  `props`

  object

  ###### Properties

  Name | Type | Description
  --- | --- | ---
  `map` | google.maps.Map |
  `maps` | google.maps |

  `coords`

  object

  Defines the coordinate pair where this marker should exits.

  ###### Properties

  Name | Type | Description
  --- | --- | ---
  `lng` | number | Number defining longitude.
  `lat` | number | Number defining latitude.

  `icon` | string | Icon |
  `options` | google.maps.MarkerOptions | See Marker Options Documentation

  Source:
    - components/marker.js, line 17

#### Search results